<?php

namespace Includes\Controllers\Api;

use Includes\baseClasses\STBase;
use WP_REST_Response;
use WP_REST_Server;
use WP_Query;
class STTVShowController extends STBase {

	public $module = 'tv_show';

	public $nameSpace;

	function __construct() {

		$this->nameSpace = STREAMIT_API_NAMESPACE;

		add_action( 'rest_api_init', function () {

			register_rest_route( $this->nameSpace . '/api/v1/' . $this->module, '/get_tv_shows', array(
				'methods'             => WP_REST_Server::ALLMETHODS,
				'callback'            => [ $this, 'streamit_get_tv_shows' ],
				'permission_callback' => '__return_true'
            ) );
            
            register_rest_route( $this->nameSpace . '/api/v1/' . $this->module, '/get_tv_show_detail', array(
				'methods'             => WP_REST_Server::ALLMETHODS,
				'callback'            => [ $this, 'streamit_get_tv_show_detail' ],
				'permission_callback' => '__return_true'
            ) );  

		} );
	}


    public function streamit_get_tv_shows ($request) {

        $data = array();
        $tv_show_array = array();
        $parameters = $request->get_params();
        $header = $request->get_headers();
        $page = 1;
        $per_page = 4 ;
        $num_pages = 1;

        if (isset($parameters['page'])) {
            $page = $parameters['page'];
        }

        if (isset($parameters['per_page'])) {
            $per_page = $parameters['per_page'];
        }

        $args['post_type']      = 'tv_show';
        $args['post_status']    = 'publish';
        $args['posts_per_page'] = $per_page ;
        $args['paged'] = $page;
        $wp_query = new WP_Query( $args );
        $user_data = array_key_exists( "user_id", $parameters );
        if(!$user_data){
            $parameters['user_id'] = null;
        }
        if($wp_query->have_posts()) {
            while($wp_query->have_posts()) {
                $wp_query->the_post();
                $data[] = streamit_movie_video_detail_helper(get_the_ID(),$parameters['user_id']);
            }
        }

        return comman_list_response($data);

    }

    public function streamit_get_tv_show_detail($request) {
        $parameters = $request->get_params();
        $header = $request->get_headers();
        $tv_show_id = $parameters['tv_show_id'];
        $args['p'] =  $tv_show_id;
        $args['post_type']      = 'tv_show';
        $args['post_status']    = 'publish';
        $response = [];
        $wp_query = new WP_Query( $args );
        
        $tv_show = $wp_query->post;
        $wp_query = new WP_Query($args);
        $response_data = $wp_query->post;
        $post_meta = get_post_meta($tv_show_id);
        $tv_show_season = get_post_meta($tv_show_id, '_seasons');
        $user_data = array_key_exists( "user_id", $parameters );
        if(!$user_data){
            $parameters['user_id'] = null;
        }
        if (isset($response_data) && $response_data !== null && $response_data !== '') {
            $response = streamit_movie_video_detail_helper($tv_show_id,$parameters['user_id']);
            $response['comment'] = get_comments(array( 'post_id' => $response['id']));
            $seasons = [];

            if( !empty($tv_show_season[0]) && count($tv_show_season[0]) > 0 ){
                foreach( $tv_show_season[0] as $season ){
                    $data['name'] = $season['name'];
                    $data['description'] = $season['description'];
                    $data['year'] = $season['year'];
                    $data['position'] = $season['position'];
                    $full_image = wp_get_attachment_image_src($season['image_id'],[300, 300]);
                    
                    if ($full_image[0]) {
                        $data['image'] = $full_image[0];
                    } else {
                        $data['image'] = null;
                    }

                    if( count($season['episodes']) > 0 ) {
                        $episodes = [];
                        foreach( $season['episodes'] as $episode ){
                            $data['episode'][] = streamit_movie_video_detail_helper($episode,$parameters['user_id']);
                        }
                    }
                    array_push($seasons,$data);
                    $data['episode'] = [];
                }
            }
        }

        $response = array('data' => $response , "seasons" => $seasons);
        return comman_custom_response($response);
        
    }

}