<?php

/**
 * @wordpress-plugin
 * Plugin Name:       streamit-api
 * Plugin URI:        streamit-api
 * Description:       Streamit api mobile plugin
 * Version:           1.0.0
 * Author:            Iqonic
 * Author URI:        https://iqonic.design
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       streamit-api
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
use Includes\baseClasses\STActivate;
use Includes\baseClasses\STDeactivate;

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'STREAMIT_API_VERSION', '1.0.0' );

defined( 'ABSPATH' ) or die( 'Something went wrong' );

// Require once the Composer Autoload
if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
} else {
	die( 'Something went wrong' );
}

if (!defined('STREAMIT_API_DIR'))
{
	define('STREAMIT_API_DIR', plugin_dir_path(__FILE__));
}

if (!defined('STREAMIT_API_DIR_URI'))
{
	define('STREAMIT_API_DIR_URI', plugin_dir_url(__FILE__));
}


if (!defined('STREAMIT_API_NAMESPACE'))
{
	define('STREAMIT_API_NAMESPACE', "streamit-api");
}

if (!defined('STREAMIT_API_PREFIX'))
{
	define('STREAMIT_API_PREFIX', "iq_");
}


define('JWT_AUTH_SECRET_KEY', 'your-top-secrect-key');
define('JWT_AUTH_CORS_ENABLE', true);

/**
 * The code that runs during plugin activation
 */
register_activation_hook( __FILE__, [ STActivate::class, 'activate'] );

/**
 * The code that runs during plugin deactivation
 */
register_deactivation_hook( __FILE__, [STDeactivate::class, 'init'] );


( new STActivate )->init();