<?php 
if ( ! function_exists( 'iqonic_blog_time_link' ) ) :
    /**
     * Gets a nicely formatted string for the published date.
     */
    function iqonic_blog_time_link() {
        $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
        /*if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
            $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
        }*/
    
        $time_string = sprintf( $time_string,
            get_the_date( DATE_W3C ),
            get_the_date(),
            get_the_modified_date( DATE_W3C ),
            get_the_modified_date()
        );
    
        // Wrap the time string in a link, and preface it with 'Posted on'.
        return sprintf(
            /* translators: %s: post date */
            __( '<span class="screen-reader-text">Posted on</span> %s', 'iqonic' ),
            '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
        );
    }
    endif;

function iq_custom_post_data($post_type = '' , $args = array() , $return = '')
{
   $array = array();
    $args = array(
        'post_type'         => $post_type,
        'post_status'       => 'publish',  
        'posts_per_page' => -1
    );
    $wp_query = new \WP_Query($args);
    
    if($return == 'id')
    {
        if($wp_query->have_posts()) 
		{   
	    	while ( $wp_query->have_posts() ) 
    		{
                $wp_query->the_post();
                $array[get_the_ID()] = get_the_title();
            }
        }
        return $array;
    }
    else
    {
        return $wp_query;
    }
    
}

function iq_get_most_like($post_type = '' , $args = array() , $return = '')
{
    $liked = wp_ulike_get_most_liked_posts( 10, array( $post_type ), 'post', 'all', 'like' );
    foreach($liked as $post)
    {
            $most_liked_ids[] = $post->ID;
    }
    return $most_liked_ids;
}

function iq_get_custom_texonomy($taxo = '')
{
    if(empty($taxo))
    {
        return;
    }
    
    
    $show_count = 0; // 1 for yes, 0 for no
    $pad_counts = 0; // 1 for yes, 0 for no
    $hierarchical = 1; // 1 for yes, 0 for no
    $title = '';
    $empty = 0;
    $array = array();
    $args = array(
        'taxonomy' => $taxo,        
        'show_count' => $show_count,
        'pad_counts' => $pad_counts,
        'hierarchical' => $hierarchical,
        'hide_empty' => false,
        'parent' => 0
    );
    $wp_object =  get_categories($args);

    if ( ! empty( $wp_object ) ) {
        foreach ( $wp_object as $val ) {
          $array[$val->term_id] = $val->name;		
        }
  }
   
  	return $array;
}
