import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:streamit_flutter/models/response.dart';
import 'package:streamit_flutter/screens/view_all_movies_screen.dart';
import 'package:streamit_flutter/utils/app_localizations.dart';
import 'package:streamit_flutter/utils/app_widgets.dart';
import 'package:streamit_flutter/utils/data_generator.dart';
import 'package:streamit_flutter/utils/resources/size.dart';
import 'package:streamit_flutter/utils/widget_extensions.dart';

// ignore: must_be_immutable
class ShowsCategoryFragment extends StatefulWidget {
  static String tag = '/ShowsCategoryFragment';
  var type;

  ShowsCategoryFragment({this.type});

  @override
  ShowsCategoryFragmentState createState() => ShowsCategoryFragmentState();
}

class ShowsCategoryFragmentState extends State<ShowsCategoryFragment> {
  var mSliderList = List<HomeSlider>();
  var mMovieList = List<Movie>();
  var mCinemaMovieList = List<Movie>();
  var mcontinueList = List<Movie>();
  var mTrendingMuviList = List<Movie>();
  var mMadeForYouList = List<Movie>();
  bool isLoading = false;

  showLoading(bool show) {
    setState(() {
      isLoading = show;
    });
  }

  @override
  void initState() {
    super.initState();
    getData();
  }

  getData() {
    setState(() {
      mSliderList.addAll(getShowsSliders());
      mMovieList.addAll(getPopularShows());
      mCinemaMovieList.addAll(getInternationalShows());
      mTrendingMuviList.addAll(getTrendingOnMovie());
    });
  }

  @override
  Widget build(BuildContext context) {
    var slider =
        mSliderList.isNotEmpty ? HomeSliderWidget(mSliderList) : Container();

    var popularMovieList = mMovieList.isNotEmpty
        ? ItemHorizontalList(
            mMovieList,
            isMovie: false,
          )
        : Container();
    var trendingMovieList = mTrendingMuviList.isNotEmpty
        ? ItemHorizontalList(
            mTrendingMuviList,
            isMovie: false,
          )
        : Container();
    var newCinemaList = mCinemaMovieList.isNotEmpty
        ? ItemHorizontalList(
            mCinemaMovieList,
            isMovie: false,
          )
        : Container();
    return Scaffold(
      body: Stack(
        children: <Widget>[
          SingleChildScrollView(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                slider.paddingTop(spacing_standard_new),
                headingWidViewAll(context, keyString(context, "popular_show"),
                    () {
                  Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => ViewAllMovieScreen(
                              title: keyString(context, "popular_show"))));
                }).paddingAll(spacing_standard_new),
                popularMovieList,
                headingWidViewAll(context, keyString(context, "best_show"), () {
                  Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => ViewAllMovieScreen(
                              title: keyString(context, "best_show"))));
                }).paddingAll(spacing_standard_new),
                newCinemaList,
                headingWidViewAll(context, keyString(context, "show_recommend"),
                    () {
                  Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => ViewAllMovieScreen(
                              title: keyString(context, "show_recommend"))));
                }).paddingAll(spacing_standard_new),
                trendingMovieList.paddingBottom(spacing_standard_new)
              ],
            ),
          ),
          Center(child: loadingWidgetMaker().visible(isLoading))
        ],
      ),
    );
  }
}
